MUNIN-LIMITS(8)

NAME
munin-limits - A program to check for any off-limit values

SYNOPSIS
munin-limits [options]

OPTIONS

--service <service>
    Limit services to those of <service>. Multiple --service options may be supplied. [unset]

--host <host>
    Limit hosts to those of <host<gt>. Multiple --host options may be supplied. [unset]

--contact <contact>
    Limit contacts to those of <contact<gt>. Multiple --contact options may be supplied. [unset]

--config <file>
    Use <file> as configuration file. [/etc/munin/munin.conf]

--always-send <severity list>
    Force sending of messages even if you normally wouldn't.

    The <severity list> can be a whitespace or comma separated list of the values "ok", "warning", "critical" or "unknown".

    This option may be specified several times, to add more values.

    Use of "--always-send" overrides the "always_send" value in munin.conf for configured contacts. See also --force.

--force
    Alias for "--always-send ok,warning,critical,unknown"

--[no]force-run-as-root
    Force running as root (stupid and unnecessary). [--noforce-root]

--help
    View help message.

--[no]debug
    If set, view debug messages. [--nodebug]

DESCRIPTION
Munin-limits is a part of the package Munin, which is used in combination with Munin's node. Munin is a group of programs to gather data from Munin's nodes, graph them, create html-pages, and optionally warn Nagios about any off-limit values.

Munin-limits checks if any values are above or below the set limits, and saves these notes to a file. This file is later used by programs like munin-nagios (to warn nagios) and munin-html (to incorporate them in the web display).

If a service has fields with "warning" or "critical"-options (e.g. "load.warning 10"), and the munin-server configuration file contains the necessary configuration options, munin-limits will check its value.

FILES
        /etc/munin/munin.conf
        /var/lib/munin/*
        /run/munin/*

VERSION
This is munin-limits version 2.0.56

AUTHORS
Knut Haugen, Audun Ytterdal and Jimmy Olsen.

BUGS
munin-limits does, as of now, not check the syntax of the configuration file.

Please report other bugs in the bug tracker at <http://munin-monitoring.org/>.

COPYRIGHT
Copyright (C) 2002-2006 Knut Haugen, Audun Ytterdal, and Jimmy Olsen / Linpro AS.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

This program is released under the GNU General Public License

SEE ALSO
For information on configuration options, please refer to the man page for munin.conf.